{% extends 'animeflix_app/pages/animeDetail.html' %}
{% load static %}

{% block new-review %}
    <h3 class="text-center primary-text-color">Vote and write your review</h3>
    <form class="p-3" method="post" novalidate>{% csrf_token %}
        {% for field in form %}
            <div class="form-row pb-2">
                <div class="form-group col-12">
                    {% if 'vote' in field.id_for_label %}
                        <div class="d-flex">
                            <label for="{{ field.id_for_label }}" class="form-label fw-bold pe-4">
                                {{ field.label }}
                            </label>
                            <fieldset id="stars-voting" class="rating">
                                <input type="radio" id="star5" name="rating" value="5" />
                                <label class="full" for="star5" title="awesome - 5 stars"></label>
                                <input type="radio" id="star4" name="rating" value="4" />
                                <label class="full" for="star4" title="Pretty good - 4 stars"></label>
                                <input type="radio" id="star3" name="rating" value="3" />
                                <label class="full" for="star3" title="Meh - 3 stars"></label>
                                <input type="radio" id="star2" name="rating" value="2" />
                                <label class="full" for="star2" title="Kinda bad - 2 stars"></label>
                                <input type="radio" id="star1" name="rating" value="1" />
                                <label class="full" for="star1" title="So ugly - 1 star"></label>
                            </fieldset>
                        </div>
                    {% else %}
                        <label for="{{ field.id_for_label }}" class="form-label fw-bold">{{ field.label }}</label>
                    {% endif %}

                    {{ field }}
                    {% if field.errors %}
                        <div class="invalid-feedback d-block text-center">
                            {{ field.errors }}
                        </div>
                    {% endif %}
                </div>
            </div>
        {% endfor %}

        <div class="d-flex">
            <button type="button" class="btn btn-primary text-editor-btn me-2">TEXT EDITOR</button>
            <input type="submit" class="btn btn-primary px-3 me-auto"
                   value="{% if 'edit' in request.path %}EDIT{% else %}CREATE{% endif %} REVIEW">
            <a href="{% url 'v_anime_reviews' %}?watch={{ anime.pk }}" class="btn btn-primary px-3">CANCEL</a>
        </div>
    </form>


<script>
    let vote_input = $('#id_vote');
    let star_input = $('fieldset#stars-voting input');

    // Update vote input in the form by number of stars selected
    star_input.click(function () {
        vote_input.val($(this).val());
    });

    if (vote_input.val() !== 0) {
        star_input.each(function() {
            let id = $(this).attr('id').slice(-1);
            if (id === vote_input.val())
                $(this).click();
        });
    }

</script>

{% endblock %}